ocaml-batteries (3.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 14 Jan 2025 08:39:51 +0100

ocaml-batteries (3.8.0-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:45:42 +0200

ocaml-batteries (3.8.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:12:23 +0200

ocaml-batteries (3.7.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 08:29:22 +0100

ocaml-batteries (3.7.1-3) unstable; urgency=medium

  * Team upload
  * Remove one test that fails on mips64el and hppa (at least)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Oct 2023 06:48:18 +0200

ocaml-batteries (3.7.1-2) unstable; urgency=medium

  * Team upload
  * Fix compilation on 32-bit architectures

 -- Stéphane Glondu <glondu@debian.org>  Sun, 01 Oct 2023 03:38:50 +0200

ocaml-batteries (3.7.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Sat, 30 Sep 2023 21:57:41 +0200

ocaml-batteries (3.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 Jan 2023 09:31:06 +0100

ocaml-batteries (3.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 14:26:23 +0100

ocaml-batteries (3.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 17 Dec 2021 15:46:06 +0100

ocaml-batteries (3.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 28 Nov 2021 10:28:43 +0100

ocaml-batteries (3.1.0-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Do not install battop.ml (Closes: #985286)

  [ Debian Janitor ]
  * libbatteries-ocaml-doc: Add Multi-Arch: foreign.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 21 Mar 2021 10:57:36 +0100

ocaml-batteries (3.1.0-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Fri, 11 Sep 2020 10:43:39 +0200

ocaml-batteries (3.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 13:39:09 +0200

ocaml-batteries (2.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add libnum-ocaml-dev to Build-Depends
  * Update Vcs-*
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Nov 2019 10:49:10 +0100

ocaml-batteries (2.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Fix FTBFS with OCaml 4.05

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 10:50:40 +0200

ocaml-batteries (2.5.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jul 2017 20:11:24 +0200

ocaml-batteries (2.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches
    - Remove 0002-Disable-qtest-based-tests.patch, fixed upstream.
    - Remove 0003-Disable-test-compat-broken-with-OCaml-4.01.0.patch, no longer
      relevant.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 23 Dec 2015 00:27:08 +0100

ocaml-batteries (2.3-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 21:51:19 +0200

ocaml-batteries (2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 31 Jan 2014 10:11:54 +0100

ocaml-batteries (2.1-3) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 05 Dec 2013 07:52:53 +0100

ocaml-batteries (2.1-2) experimental; urgency=low

  * Team upload
  * debian/patches:
    + Fix compilation with OCaml 4.01.0
    + Disable test-compat (broken with OCaml 4.01.0)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 16 Nov 2013 11:54:17 +0100

ocaml-batteries (2.1-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Thu, 25 Jul 2013 07:50:33 +0200

ocaml-batteries (2.0-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - doc/ has been removed, remove patches accordingly
    - do not call git in clean rule
    - disable tests that use qtest (not packaged in Debian)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 11 Jul 2013 10:53:15 +0200

ocaml-batteries (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: 668027)
    - add 0002-Use-mirror-of-ocaml-tutorial.org-which-is-dead.patch
    - add 0003-Fix-doc-batteries-html-extensions.html.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 05 Jun 2012 22:51:41 +0200

ocaml-batteries (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 09:10:42 +0100

ocaml-batteries (1.2.2-2) unstable; urgency=low

  * Team upload
  * Fix build with camomile 0.8.3 (Closes: #636024)
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 07:37:39 +0200

ocaml-batteries (1.2.2-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Add 0002-Fix-build-with-OCaml-3.12.0.patch (Closes: #586493)

  [ Mehdi Dogguy ]
  * New upstream release
    - Add 0001-Add-Set-an-installation-prefix-path.patch
    - Add 0003-Do-not-enforce-sanity-check-rules.patch
    - Remove omake from build-depends
  * Adapt debian/rules to new upstream's build system.
  * Convert source package to 3.0 (quilt) format.
    - Remove quilt from build-depends
  * Bump dh-ocaml version to 0.9.5 in Build-Depends.
  * Update libbatteries-ocaml-doc.doc-base
  * Bump standards version to 3.9.0, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 14 Jul 2010 23:31:15 +0200

ocaml-batteries (1.1.0-2) unstable; urgency=low

  * Add myself to Uploaders (and remove Zack as he asked).
  * Fix configuration of Batteries (Closes: #578671).
  * Bump ocaml version in build-dependencies to (>= 3.11.1-3~) and
    dh-ocaml (>= 0.9~).
  * Bump quilt version to (>= 0.46-7~).
  * Add a debian/source/format (keep 1.0 for now).
  * Fix binary-control-field-duplicates-source

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 03 Jun 2010 13:57:15 +0200

ocaml-batteries (1.1.0-1) unstable; urgency=low

  * New upstream release
    - major changes, "diet" version of the library
    - fix old FTBFS error, due to major code changes (Closes: #569455)
  * Revamp packaging
    - adapt to new stuff shipped by upstream
    - switch from CDBS to dh
    - adapt dependencies (generally: reduce them)
  * debian/patches/
    - remove old debian/patches/{debian-specific-installation-paths,
      debian-specific-info-on-doc-availability} as obsolete
    - new patch 0001-install-fix-for-bytecode-only-build: avoid
      installing *.a files with bytecode only compilation
  * debian/libbatteries-ocaml-dev.links: remove file, shortend
    /usr/bin/ocaml-batteries to the top-level no longer exists
  * remove debian/README.Debian (previous content is now obsolete)
  * bump Standards-Version to 3.8.4 (no changes needed)
  * debian/watch: update to match new upstream version convention
  * debian/libbatteries-ocaml-{dev,doc}.{docs,examples}: ship only doc
    file from the root dir, other stuff is currently out of date
    (Closes: #514265)

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 06 Mar 2010 16:03:38 +0100

ocaml-batteries (0.20090405+beta1-5) unstable; urgency=low

  * debian/control: add explicit dep on libbin-prot-camlp4-dev, it is a
    needed CamlP4 dep, not inferrable by dh_ocaml (Closes: #557538)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 25 Nov 2009 13:11:18 +0100

ocaml-batteries (0.20090405+beta1-4) unstable; urgency=low

  * Get rid of TopGit for packaging, use dom-{save,apply}-patches to
    manage quilt series. Document that in README.source. Patch names are
    now as follows:
    - 0001-debian-specific-installation-paths
    - 0002-debian-specific-info-on-doc-availability
  * debian/control: clean up non-automatic OCaml deps, now that all
    build-deps have been ported to recent dh-ocaml
  * rebuild against recent sexplib, bump build-dep accordingly
    (Closes: #556034)
  * add debian/gbp.conf to enforce pristine-tar usage with gbp

 -- Stefano Zacchiroli <zack@debian.org>  Sat, 14 Nov 2009 13:03:57 +0100

ocaml-batteries (0.20090405+beta1-3) unstable; urgency=low

  * debian/control
    - bump Standards-Version to 3.8.3 (no changes needed)
    - use dh-ocaml to infer/provide dependencies, keep hand-written
      dependencies for the interim; bump build-dep on dh-ocaml to 0.9
    - clean up wrong relationships on -doc package: remove ${shlibs:Depends}
      and bogus Provides on -camlp4-dev and metapackage
  * debian/rules
    - switch {debhelper,patchsys-quilt}.mk: fix debian/*.log cleanup
    - stop using ocamldoc-api-ref-config (gone now), rather ship a
      hand-written doc-base entry (Closes: #549795)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 07 Oct 2009 10:51:36 +0200

ocaml-batteries (0.20090405+beta1-2) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/control: drop deps from the -doc package to ocaml-nox-@ABI@ (it
    had no reason to exist and hindered binNMU-ability)
  * rebuild against OCaml 3.11.1 for the transition
  * debian/control: bump Standards-Version to 3.8.2 (no changes needed)

  [ Stephane Glondu ]
  * Use new location of ocamldoc-api-ref-config

 -- Stefano Zacchiroli <zack@debian.org>  Fri, 10 Jul 2009 15:47:10 +0200

ocaml-batteries (0.20090405+beta1-1) unstable; urgency=low

  * new upstream release, 1.0 beta 1
  * debian/rules:
    - set archive sections to "ocaml" for lib*ocaml*
    - avoid building doc on bynary-only builds
    - ensure ocamlfind uses bytecode ocamldoc, because dynamic loading
      of native code printers does not work (yet)
  * README.Debian: point to batteries-enabled command wrappers
  * debian/control:
    - add ${misc:Depends} to ocaml-batteries-included
    - add missing dep: libbatteries-ocaml-dev -> libocamlnet-ocaml-dev

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 05 Apr 2009 17:14:47 +0200

ocaml-batteries (0.20090401+gitE192725-1) unstable; urgency=low

  * new snapshot, upstream Git commit E192725
    - includes all changes of batteries approaching beta 1
  * uploading to unstable
  * debian/patches/
    - new patch debian/libdir which set Debian-specific installation
      paths used at runtime by batteries wrappers
  * debian/rules:
    - pass -byte-plugin to ocamlbuild when ocamlopt is not
      available, fixes FTBFS on non-native archs. (Closes: #505490)
    - use ocaml.mk as a CDBS "rules" snippet
    - use tg2quilt.mk snippet (shipped by topgit) to generated patches
    - run autoconf upon build (interim for Git snapshot releases only)
  * debian/control:
    - add build-dep on ocamlnet (Closes: #515792)
    - add build-dep on autoconf
    - bump Standards-Version to 3.8.1 (no changes needed)
  * debian/README.source: point to existing documents
  * debian/copyright: reference version-specific common license file

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 01 Apr 2009 15:38:37 +0200

ocaml-batteries (0.20081112+gitBB342A7-1) experimental; urgency=low

  * new snapshot, now following upstream Git
    (commit bb342a7, i.e., alpha 2 + minor bugfixes)
  * debian/patches:
    - remote patch features/flexi-build (integrated upstream)
  * debian/control: correct spelling of "metapackage"
  * debian/control: fix sections: -dev in libdevel, -doc in doc
  * debian/rules: port to new upstream, which is now using autotools
  * debian/rules: specify the clean target
  * symlink more doc files from /usr/share/doc/*-dev/ to *-doc/
  * ship /usr/bin/ocaml-batteries (fancier top-level wrapper)
  * debian/rules: do not compress myocamlbuild.ml, to ease its usage
  * debian/patches: new patch fixes/consistent-docroot to look for *.idex
    in the appropriate dir
  * debian/patches: new patch debian/missing-doc, suggest to install -doc
    package when trying to access it from enhanced top-level
  * add README.Debian, pointing out /usr/bin/ocaml-batteries
  * debian/control: suggest ledit, useful with ocaml-batteries
  * debian/control: add (Build-)Depends on camlzip and bin-prot

 -- Stefano Zacchiroli <zack@debian.org>  Tue, 11 Nov 2008 20:55:58 +0100

ocaml-batteries (0.20081011-1) experimental; urgency=low

  * Initial release (Closes: #501914)

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 13 Oct 2008 18:55:31 +0200
